up-imapproxy IMAP Proxy IMAP_Line_Read() Function Literal Size DoS

This script is Copyright (C) 2004-2011 George A. Theall


Synopsis :

The remote IMAP server is affected by a denial of service
vulnerability.

Description :

The remote host is running at least one instance of up-imapproxy that
does not properly handle IMAP literals. This flaw allows a remote
attacker to crash the proxy, killing existing connections as well as
preventing new ones, by using literals at unexpected times.

See also :

http://archives.neohapsis.com/archives/bugtraq/2004-11/0099.html

Solution :

Upgrade to up-imapproxy 1.2.3rc2 or later.

Risk factor :

Medium / CVSS Base Score : 6.4
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P)
CVSS Temporal Score : 5.2
(CVSS2#E:U/RL:W/RC:ND)
Public Exploit Available : false

Family: Denial of Service

Nessus Plugin ID: 15853 (imapproxy_literal_dos.nasl)

Bugtraq ID: 11630

CVE ID: CVE-2004-1035